sip-distinfo(1)

NAME
sip-distinfo - create and populate a .dist-info directory

SYNOPSIS
sip-distinfo [options] directory

directory is the full path name of the directory to create.

DESCRIPTION
sip-distinfo creates and populates a .dist-info directory of an installation or a wheel. It is provided for build systems that extend the SIP build system and need to create the .dist-info directory from an external tool such as make.

OPTIONS

-h, --help
    Display a help message.

-V, --version
    Display the SIP version number.

--console-script ENTRY-POINT
    The console entry point ENTRY-POINT is added to the wheel. It is ignored if the --wheel-tag option is not specified. This option may be specified multiple times.

--generator NAME
    If the --wheel-tag option is specified then NAME is written as the Generator in the WHEEL file in the .dist-info directory. Otherwise NAME is written to the INSTALLER file. By default sip-distinfo is written.

--gui-script ENTRY-POINT
    The GUI entry point ENTRY-POINT is added to the wheel. It is ignored if the --wheel-tag option is not specified. This option may be specified multiple times.

--inventory FILE
    FILE contains a list of the relative names of the files, one per line, that comprise the installation or wheel contents. This option must be specified.

--metadata NAME[=VALUE]
    VALUE is used instead of any value specified for NAME in the [tool.sip.metadata] section of the pyproject.toml file.

--prefix DIR
    This option is provided as an aid to Linux package builders. DIR is used to pass the commonly used values of DESTDIR or INSTALL_ROOT. If specified it should have a trailing native path separator.

--project-root DIR
    The name of the directory containing the project's pyproject.toml file is DIR. This option must be specified.

--requires-dist EXPR
    EXPR is added to the list of prerequisites written to the METADATA file in the .dist-info directory. It is normally used to specify a particular version of a package project's sip module. This option may be specified multiple times.

--wheel-tag TAG
    TAG is written as the Tag in the WHEEL file in the .dist-info directory.